# Uses of Class
net.shibboleth.idp.cas.service.ServiceDefinition

Packages that use ServiceDefinition
Package
Description
net.shibboleth.idp.cas.service
APIs related to CAS services.

## Uses of ServiceDefinition in net.shibboleth.idp.cas.service

Fields in net.shibboleth.idp.cas.service with type parameters of type ServiceDefinition
Modifier and Type
Field
Description
`private Map<ServiceDefinition,Pattern>`
PatternServiceRegistry.`definitions`
Map of service definitions to compiled patterns.
Method parameters in net.shibboleth.idp.cas.service with type arguments of type ServiceDefinition
Modifier and Type
Method
Description
`void`
PatternServiceRegistry.`setDefinitions(List<ServiceDefinition> serviceDefinitions)`
Sets the list of service definitions that back the registry.